<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::KeyboardEvent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1KeyboardEvent.html">KeyboardEvent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classgg_1_1KeyboardEvent-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::KeyboardEvent Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="KeyboardEvent_8hpp_source.html">KeyboardEvent.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::KeyboardEvent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1KeyboardEvent.png" usemap="#gg::KeyboardEvent_map" alt=""/>
  <map id="gg::KeyboardEvent_map" name="gg::KeyboardEvent_map">
<area href="classgg_1_1IEvent.html" alt="gg::IEvent" shape="rect" coords="74,0,212,24"/>
<area href="classgg_1_1KeyPressedEvent.html" alt="gg::KeyPressedEvent" shape="rect" coords="0,112,138,136"/>
<area href="classgg_1_1KeyReleasedEvent.html" alt="gg::KeyReleasedEvent" shape="rect" coords="148,112,286,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2dd18280ee3e99347875156d4aa8a600"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a2dd18280ee3e99347875156d4aa8a600">KeyboardEvent</a> ()</td></tr>
<tr class="separator:a2dd18280ee3e99347875156d4aa8a600"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc54be23fd27c01ab5f6ce6c558f85d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#acbc54be23fd27c01ab5f6ce6c558f85d">~KeyboardEvent</a> () override=default</td></tr>
<tr class="separator:acbc54be23fd27c01ab5f6ce6c558f85d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95443182d3146abfb2549ee1d9bdd72c"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a95443182d3146abfb2549ee1d9bdd72c">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override=0</td></tr>
<tr class="separator:a95443182d3146abfb2549ee1d9bdd72c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc64d61158c025aa2e940ddaecf04876"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#abc64d61158c025aa2e940ddaecf04876">GetKeycode</a> () -&gt; sf::Keyboard::Key</td></tr>
<tr class="separator:abc64d61158c025aa2e940ddaecf04876"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a50fcf8c135a015551d375b4865f71c"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a0a50fcf8c135a015551d375b4865f71c">KeycodeToString</a> () -&gt; char</td></tr>
<tr class="separator:a0a50fcf8c135a015551d375b4865f71c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81e1418e6e8554e9cedf580bd7b2b5ac"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a81e1418e6e8554e9cedf580bd7b2b5ac">to_string</a> () -&gt; std::string=0</td></tr>
<tr class="separator:a81e1418e6e8554e9cedf580bd7b2b5ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#acbf64dbf915a0e0d66bce214266f8ac4">~IEvent</a> ()=default</td></tr>
<tr class="separator:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a>=0</td></tr>
<tr class="separator:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a5963a3b82f5bd8c2fca8156297f15725"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a5963a3b82f5bd8c2fca8156297f15725">mKeycodeString</a></td></tr>
<tr class="separator:a5963a3b82f5bd8c2fca8156297f15725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada0379b2c75fed648eada3923788b035"><td class="memItemLeft" align="right" valign="top">sf::Keyboard::Key&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#ada0379b2c75fed648eada3923788b035">mKeycode</a></td></tr>
<tr class="separator:ada0379b2c75fed648eada3923788b035"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0ce169bdd9bd94235a58670a6e9d81cd">IEvent</a> ()=default</td></tr>
<tr class="separator:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2dd18280ee3e99347875156d4aa8a600" name="a2dd18280ee3e99347875156d4aa8a600"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dd18280ee3e99347875156d4aa8a600">&#9670;&nbsp;</a></span>KeyboardEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::KeyboardEvent::KeyboardEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acbc54be23fd27c01ab5f6ce6c558f85d" name="acbc54be23fd27c01ab5f6ce6c558f85d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbc54be23fd27c01ab5f6ce6c558f85d">&#9670;&nbsp;</a></span>~KeyboardEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::KeyboardEvent::~KeyboardEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a95443182d3146abfb2549ee1d9bdd72c" name="a95443182d3146abfb2549ee1d9bdd72c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95443182d3146abfb2549ee1d9bdd72c">&#9670;&nbsp;</a></span>GetEventType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::KeyboardEvent::GetEventType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">gg::IEvent</a>.</p>

<p>Implemented in <a class="el" href="classgg_1_1KeyPressedEvent.html#a59ebd4dc540d6cee0715652c0c09e868">gg::KeyPressedEvent</a>, and <a class="el" href="classgg_1_1KeyReleasedEvent.html#a49587642a655c28b0c2d4042c0836e50">gg::KeyReleasedEvent</a>.</p>

</div>
</div>
<a id="abc64d61158c025aa2e940ddaecf04876" name="abc64d61158c025aa2e940ddaecf04876"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc64d61158c025aa2e940ddaecf04876">&#9670;&nbsp;</a></span>GetKeycode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::KeyboardEvent::GetKeycode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  sf::Keyboard::Key</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a50fcf8c135a015551d375b4865f71c" name="a0a50fcf8c135a015551d375b4865f71c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a50fcf8c135a015551d375b4865f71c">&#9670;&nbsp;</a></span>KeycodeToString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::KeyboardEvent::KeycodeToString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  char</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a81e1418e6e8554e9cedf580bd7b2b5ac" name="a81e1418e6e8554e9cedf580bd7b2b5ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81e1418e6e8554e9cedf580bd7b2b5ac">&#9670;&nbsp;</a></span>to_string()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto gg::KeyboardEvent::to_string </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  std::string</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classgg_1_1KeyPressedEvent.html#a233ffc8ff8db46a79d5797183c6650ca">gg::KeyPressedEvent</a>, and <a class="el" href="classgg_1_1KeyReleasedEvent.html#a95c1d915380747f69026b8cb59058763">gg::KeyReleasedEvent</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ada0379b2c75fed648eada3923788b035" name="ada0379b2c75fed648eada3923788b035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada0379b2c75fed648eada3923788b035">&#9670;&nbsp;</a></span>mKeycode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::Keyboard::Key gg::KeyboardEvent::mKeycode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5963a3b82f5bd8c2fca8156297f15725" name="a5963a3b82f5bd8c2fca8156297f15725"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5963a3b82f5bd8c2fca8156297f15725">&#9670;&nbsp;</a></span>mKeycodeString</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char gg::KeyboardEvent::mKeycodeString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/events/<a class="el" href="KeyboardEvent_8hpp_source.html">KeyboardEvent.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
